@tailwind base;
@tailwind components;
@tailwind utilities;

/* CSS VARIABLES START */
:root {
  /* Common styles */
  --pr-main-bg-color: #f5f5f6;
  --pr-main-text: #0a0e1f;

  --pr-accent-color: #1b4abb;
  --pr-accent-color-contrast: #fff;

  --pr-link-color: var(--pr-accent-color);

  --pr-error-color: #b44c47;
  --pr-error-color-contrast: white;

  --pr-warning-color: #b44c47;
  --pr-warning-color-contrast: white;

  --pr-border-color: #d9d9d9;
  --pr-caption-text: #393939;

  /* UserSpace */
  --pr-user-space-sidebar-header-bg-color: var(--pr-accent-color);
  --pr-user-space-sidebar-header-color: var(--pr-accent-color-contrast);
  --pr-user-space-sidebar-bg-color: var(--pr-accent-color);
  --pr-user-space-sidebar-color: var(--pr-accent-color-contrast);
  --pr-user-space-sidebar-button-bg-color: var(--pr-accent-color-contrast);
  --pr-user-space-sidebar-button-color: var(--pr-accent-color-contrast);
  --pr-user-space-sidebar-button-color--hover: var(--pr-accent-color);

  /* Form styles */
  --pr-form-margin-size: 1rem;
  --pr-form-object-border: 1px solid var(--pr-main-text);
  --pr-form-error-color: var(--pr-error-color);

  /* Inputs styles */
  --pr-input-color: var(--pr-main-text);
  --pr-input-label-color: var(--pr-main-text);
  --pr-placeholder-color: #969696;
  --pr-input-bg-color: #fff;
  --pr-input-border-color: #d9d9d9;

  /* Dropdowns styles */
  --pr-menu-bg-color: white;
  --pr-menu-border-color: #c9c9cf;
  --pr-menu-item-active-bg: #e3e3e554;

  /* Notifications styles */
  --pr-notification-border-color: transparent;
  --pr-notification-border: none;
  --pr-notification-bg-color: white;
  --pr-notification-color: var(--pr-main-text);

  /* Block Product Layout */
  --pr-block-product-layout-sidebar-bg-color: white;
  --pr-block-product-layout-sidebar-color: var(--pr-accent-color-contrast);
  --pr-block-product-layout-text-color: var(--pr-accent-color);

  /* Block Modal styles */
  --pr-modal-bg-color: var(--pr-menu-bg-color);
  --pr-modal-text-color: var(--pr-main-text);
}
:root[data-color-scheme='dark'] {
  /* Common styles */
  --pr-main-bg-color: #262626;
  --pr-main-text: #ccc;

  --pr-accent-color: #f6f6f7;
  --pr-accent-color-contrast: #181818;

  --pr-error-color: #ffb3ad;
  --pr-error-color-contrast: var(--pr-accent-color-contrast);

  --pr-caption-text: #393939;

  /* Inputs styles */
  --pr-input-color: white;
  --pr-placeholder-color: #c6c6c7;
  --pr-input-bg-color: #141414;
  --pr-input-border-color: #424242;

  /* UserSpace */
  --pr-user-space-sidebar-header-bg-color: #181818;
  --pr-user-space-sidebar-header-color: var(--pr-accent-color);
  --pr-user-space-sidebar-bg-color: #181818;
  --pr-user-space-sidebar-color: var(--pr-accent-color);
  --pr-user-space-sidebar-button-bg-color: rgba(255, 255, 255, 0.2);
  --pr-user-space-sidebar-button-color: rgba(235, 235, 236, 1);
  --pr-user-space-sidebar-button-color--hover: var(--pr-user-space-sidebar-button-color);

  /* Dropdowns styles */
  --pr-menu-bg-color: #222;
  --pr-menu-border-color: #c9c9cf;
  --pr-menu-item-active-bg: #e3e3e554;

  /* Notifications styles */
  --pr-notification-border-color: rgba(255, 255, 255, 0.4);
  --pr-notification-border: 1px solid var(--pr-notification-border-color);
  --pr-notification-bg-color: black;
  --pr-notification-color: var(--pr-main-text);

  /* Block Product Layout */
  --pr-block-product-layout-sidebar-bg-color: rgba(57, 57, 57, 1);
  --pr-block-product-layout-sidebar-color: var(--pr-accent-color-contrast);
  --pr-block-product-layout-text-color: var(--pr-accent-color);

  /* Block Modal styles */
  --pr-modal-bg-color: var(--pr-menu-bg-color);
  --pr-modal-text-color: var(--pr-main-text);
}
/* CSS VARIABLES END */

/* Deprecated */
:root {
  --main-element-text: var(--pr-main-text);
  --main-element: var(--pr-main-bg-color);
  --error-color: var(--pr-error-color);
}
/**/

:root {
  font-size: 13px;
}
html,
body {
  padding: 0;
  margin: 0;
  scroll-behavior: smooth;
  min-height: 100vh;
}

body {
  display: flex;
  color: var(--pr-main-text);
  background: var(--pr-main-bg-color);
  font-family: var(--font-satoshi-variable), sans-serif;
  white-space: collapse;
}

a.pr-link {
  color: var(--pr-accent-color);
  border-bottom: 1px solid var(--pr-accent-color);
  padding: 0.3rem 0.3rem;
}

@layer utilities {
  .text-balance {
    text-wrap: balance;
  }
}

.ql-clipboard {
  display: none;
}

.ant-tabs-tab {
  padding: 0.5rem 0 !important;
}
.ant-tabs-tab-btn > a {
  padding: 1.5rem 0;
}

.ant-segmented-item-label {
  display: flex;
  align-items: center;
}
